tt_default_ptype_set(library call)

NAME
tt_default_ptype_set — set the default ptype

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_default_ptype_set(
const char *ptid);

DESCRIPTION

The tt_default_ptype_set function sets the default ptype.

The ptid argument must be the character string that uniquely identifies the process that is to be the default process.

RETURN VALUE

Upon successful completion, the tt_default_ptype_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROCID
    The current default process identifier is out of date or invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).